/*
 QRDecomposition class of Jama package 
 partialy ported from java to C++ by Francois Schiettekatte on 2001/01/10

Copyright Notice from Jama web site (math.nist.gov/javanumerics/jama)

This software is a cooperative product of The MathWorks and the
National Institute of Standards and Technology (NIST) which has been
released to the public domain. Neither The MathWorks nor NIST assumes
any responsibility whatsoever for its use by other parties, and makes
no guarantees, expressed or implied, about its quality, reliability,
or any other characteristic.

The same applies to this port.
*/

class QRDecomposition {
/* ------------------------
   Class variables
 * ------------------------ */
    private:

    // Array for internal storage of decomposition.
        double **QR;

    // Row and column dimensions.
        int n;

    // Array for internal storage of diagonal of R.
        double *Rdiag;

    public:
        QRDecomposition(double **A, int nn);
       ~QRDecomposition();
        bool isFullRank();
        double* solve(double* B);

};


