
#include <QList>
#include <QBrush>

#include "colors.h"

// set of 100 colors generated so that each is the most "distant" from all
// previous ones according to CEI L*a*b distance
MyColors::MyColors () {
    colors << QBrush(QColor(0,0,0))
       << QBrush(QColor(192,0,255))
       << QBrush(QColor(239,3,2))
       << QBrush(QColor(28,138,0))
       << QBrush(QColor(12,126,183))
       << QBrush(QColor(163,131,105))
       << QBrush(QColor(121,51,102))
       << QBrush(QColor(15,89,74))
       << QBrush(QColor(0,188,176))
       << QBrush(QColor(210,153,224))
       << QBrush(QColor(106,48,0))
       << QBrush(QColor(160,177,191))
       << QBrush(QColor(161,207,0))
       << QBrush(QColor(77,62,62))
       << QBrush(QColor(255,186,75))
       << QBrush(QColor(255,174,169))
       << QBrush(QColor(249,4,142))
       << QBrush(QColor(193,200,145))
       << QBrush(QColor(130,113,135))
       << QBrush(QColor(0,1,145))
       << QBrush(QColor(97,98,0))
       << QBrush(QColor(95,140,104))
       << QBrush(QColor(0,245,172))
       << QBrush(QColor(23,50,0))
       << QBrush(QColor(1,39,93))
       << QBrush(QColor(0,74,195))
       << QBrush(QColor(181,57,75))
       << QBrush(QColor(64,235,255))
       << QBrush(QColor(0,136,147))
       << QBrush(QColor(0,83,109))
       << QBrush(QColor(70,0,57))
       << QBrush(QColor(102,107,97))
       << QBrush(QColor(168,219,202))
       << QBrush(QColor(13,48,49))
       << QBrush(QColor(253,241,0))
       << QBrush(QColor(217,200,189))
       << QBrush(QColor(214,120,141))
       << QBrush(QColor(76,0,0))
       << QBrush(QColor(0,196,86))
       << QBrush(QColor(221,207,253))
       << QBrush(QColor(105,139,255))
       << QBrush(QColor(170,255,127))
       << QBrush(QColor(137,154,1))
       << QBrush(QColor(50,33,0))
       << QBrush(QColor(77,76,127))
       << QBrush(QColor(167,79,0))
       << QBrush(QColor(255,136,66))
       << QBrush(QColor(176,225,255))
       << QBrush(QColor(189,155,160))
       << QBrush(QColor(156,164,144))
       << QBrush(QColor(44,32,51))
       << QBrush(QColor(17,91,0))
       << QBrush(QColor(137,83,65))
       << QBrush(QColor(255,236,150))
       << QBrush(QColor(218,83,200))
       << QBrush(QColor(114,138,147))
       << QBrush(QColor(73,76,40))
       << QBrush(QColor(199,151,2))
       << QBrush(QColor(255,178,217))
       << QBrush(QColor(207,244,186))
       << QBrush(QColor(142,145,198))
       << QBrush(QColor(209,166,113))
       << QBrush(QColor(8,0,62))
       << QBrush(QColor(142,68,177))
       << QBrush(QColor(144,0,27))
       << QBrush(QColor(106,0,48))
       << QBrush(QColor(175,70,121))
       << QBrush(QColor(128,80,94))
       << QBrush(QColor(83,88,102))
       << QBrush(QColor(104,2,170))
       << QBrush(QColor(40,35,31))
       << QBrush(QColor(231,104,83))
       << QBrush(QColor(128,131,69))
       << QBrush(QColor(105,196,146))
       << QBrush(QColor(4,164,235))
       << QBrush(QColor(252,215,231))
       << QBrush(QColor(51,4,22))
       << QBrush(QColor(0,174,197))
       << QBrush(QColor(81,107,193))
       << QBrush(QColor(79,34,108))
       << QBrush(QColor(0,232,0))
       << QBrush(QColor(203,219,222))
       << QBrush(QColor(138,102,43))
       << QBrush(QColor(143,131,129))
       << QBrush(QColor(11,52,79))
       << QBrush(QColor(163,180,255))
       << QBrush(QColor(190,120,171))
       << QBrush(QColor(7,115,63))
       << QBrush(QColor(57,75,71))
       << QBrush(QColor(1,206,253))
       << QBrush(QColor(130,183,78))
       << QBrush(QColor(240,232,195))
       << QBrush(QColor(169,255,251))
       << QBrush(QColor(0,30,6))
       << QBrush(QColor(162,105,227))
       << QBrush(QColor(198,173,205))
       << QBrush(QColor(116,170,166))
       << QBrush(QColor(255,6,90))
       << QBrush(QColor(255,127,193))
       << QBrush(QColor(17,124,106))
       << QBrush(QColor(52,104,110));
}

