
#ifndef TECHNIQUES_H
#define TECHNIQUES_H

#define MAX_THREAD 16          // run main loop using MAX_THREAD POSIX threads

#define TECH_IMPLANT    -1   // implantation/irradiation
#define TECH_IMPREC     -2   // implantation/irradiation following recoils
#define TECH_FULLRBS    -3   // implantation/irradiation with detection of outcomming ions
#define TECH_ENERDEPTHMAP  -4  // energy-depth map based on implantation
#define TECH_ENERDEPTHLIST -5  // energy-depth list based on implantation

#define TECH_RBS         1   // RBS
#define TECH_RBS_TOF     2   // RBS-TOF
#define TECH_ERD         3   // ERD 
#define TECH_ERD_TOF     4   // ERD-TOF
#define TECH_COINC       5   // two-detector coincidence

#endif // TECHNIQUES_H

